require 'bounding_box'

function love.updatemap()
	--Jump Start
	if climbing=='false' then
		if anim_time < anim_time2+0.2 then
			if love.keyboard.isDown(" ") then
				anim_time = love.timer.getTime()
				char.body:setLinearVelocity (xd,-2000)
			end
		end
	end
	
   if lever_pressed==false then
   if GroundCollision(char.body:getX(),char.body:getY(),147.06,176.47, 0,800,100000,1) then
		inAir=false
		anim_time2=anim_time
   else
		inAir=true
		char_anim=jump_anim
   end
   end
   
   if lever_pressed==true then
   platform = {}
        platform.b = love.physics.newBody(world, 348, 400, "static") 
        platform.s = love.physics.newRectangleShape(platform_set:getWidth()/2.9, 1) 
        platform.f = love.physics.newFixture(platform.b, platform.s)
        platform.f:setUserData("Platform")
	if GroundCollision(char.body:getX(),char.body:getY(),147.06,176.47, 0,800,100000,1) then
		inAir=false
		anim_time2=anim_time
		climbing='false'
	elseif GroundCollision(char.body:getX(),char.body:getY(),147.06,176.47, 377,470,platform_set:getWidth()/3.25,1) then
		inAir=false
		anim_time2=anim_time
		climbing='false'
	elseif GroundCollision(char.body:getX(),char.body:getY(),50,50, 500, 350,ladder_set:getWidth()/3.25,ladder_set:getHeight()) and char.body:getY()>310.5489 then
		inAir=false
		climbing='true'
	else
		inAir=true
		char_anim=jump_anim
		climbing='false'
	 end
	end
	--Jump End
	
	--Finish Tutorial Start
	if GroundCollision(char.body:getX(),char.body:getY(),147.06,176.47, 377,470,platform_set:getWidth()/3.25,1) and tutorial=='ladder' then
		tutorial='end'
	end
	--Finish Tutorial End
	
	--Next Level Start
	if GroundCollision(char.body:getX(),char.body:getY(),50,50, 260, 275,door_set:getWidth()/3.25,door_set:getHeight()) and tutorial=='end' then
	lever_pressed = false
	currentMap = 'map2'
	end
	--Next Level End
	
	--Lever Start
	if GroundCollision(char.body:getX(),char.body:getY(),147.06,176.47,970,630,150,87) then
		if lever_pressed==false then
		tutorial = 'lever'
			if love.keyboard.isDown("f") then
				lever_pressed=true
				tutorial = 'ladder'
			end
		end
	end
   
	--Lever End
end


function love.drawmap()
	love.graphics.draw(bg)
	
	--Tutorial Start
	if tutorial == 'start' then
	love.graphics.drawq(tstart_set, tstartQuad, 0, 350)	
	elseif tutorial == 'lever' then
	love.graphics.drawq(tlever_set, tleverQuad, 150, 400)	
	elseif tutorial == 'ladder' then
	love.graphics.drawq(tladder_set, tladderQuad, 150, 200)	
	elseif tutorial == 'end' then
	love.graphics.drawq(tend_set, tendQuad, 150, 200)	
	end
	--Tutorial End
	
	--Platform1 Start
	if lever_pressed==true then
	love.graphics.drawq(platform_set, platformQuad, 220, 350)
	end
	--Platform1 End
	
	--Door1 Start
	if lever_pressed==true then
	love.graphics.drawq(door_set, doorQuad, 235, 275)
	end
	--Door1 End
	
	--Ladder Start
	if lever_pressed==true then
	love.graphics.drawq(ladder_set, ladderQuad, 445, 404)
	end
	--Ladder End
	
	
	--Char Start
	if x=='left' then
	char_anim:draw(char.body:getX(), char.body:getY(), char.body:getAngle(),  1, 1, 147.06/2, 176.47/3)
	else 
	char_anim:draw(char.body:getX(), char.body:getY(), char.body:getAngle(),  -1, 1, 147.06/2, 176.47/3)
	end
	--Char Stop
	
	--Lever Start
	if lever_pressed==true then
	love.graphics.drawq(lever_set, leverQuad, 1037, 630, rotation, -1, 1)
	else
	love.graphics.drawq(lever_set, leverQuad, 900, 630, rotation, 1, 1)
	end
	--Lever Stop
	
	--Grass Start
	love.graphics.drawq(grass_set, grassQuad, 0, 465)
	--Grass End
	
	
	--Ground Start
	love.graphics.drawq(ground_set, groundQuad, 0, 720)
	--Ground Stop
	
end
