function love.loadmap()
	bg = love.graphics.newImage('/images/bgt.png')
	--Tutorial Start
	tutorial = 'start'
	
	tstart_set = love.graphics.newImage('/images/text/move_jump.png')
	tstartW, tstartH = tstart_set:getWidth(), tstart_set:getHeight()
    tstart_setW, tstart_setH = tstart_set:getWidth(), tstart_set:getHeight()
    tstartQuad = love.graphics.newQuad(0,  0, tstartW, tstartH, tstart_setW, tstart_setH)
	
	tlever_set = love.graphics.newImage('/images/text/use_f.png')
	tleverW, tleverH = tlever_set:getWidth(), tlever_set:getHeight()
    tlever_setW, tlever_setH = tlever_set:getWidth(), tlever_set:getHeight()
    tleverQuad = love.graphics.newQuad(0,  0, tleverW, tleverH, tlever_setW, tlever_setH)
		
	tladder_set = love.graphics.newImage('/images/text/ladder.png')
	tladderW, tladderH = tladder_set:getWidth(), tladder_set:getHeight()
    tladder_setW, tladder_setH = tladder_set:getWidth(), tladder_set:getHeight()
    tladderQuad = love.graphics.newQuad(0,  0, tladderW, tladderH, tladder_setW, tladder_setH)
	
	tend_set = love.graphics.newImage('/images/text/finish_level.png')
	tendW, tendH = tend_set:getWidth(), tend_set:getHeight()
    tend_setW, tend_setH = tend_set:getWidth(), tend_set:getHeight()
    tendQuad = love.graphics.newQuad(0,  0, tendW, tendH, tend_setW, tend_setH)
	--Tutorial End
	
	--Gravity Start
	world = love.physics.newWorld(0, 50000, true)
	--Gravity Stop
	
	--Grass Start
	grass_set = love.graphics.newImage('/images/grass.png')
	grassW, grassH = grass_set:getWidth(), grass_set:getHeight()
    grass_setW, grass_setH = grass_set:getWidth(), grass_set:getHeight()
    grassQuad = love.graphics.newQuad(0,  0, grassW, grassH, grass_setW, grass_setH)
	--Grass End
	
	--Lever Sprite Start
	lever = {}
		lever_set = love.graphics.newImage('/images/objects/lever.png')
		leverW, leverH = lever_set:getWidth(), lever_set:getHeight()
		lever_setW, lever_setH = lever_set:getWidth(), lever_set:getHeight()
		leverQuad = love.graphics.newQuad(0,  0, leverW, leverH, lever_setW, lever_setH)
		lever.b = love.physics.newBody(world, 980, 650, "static") 
		lever.s = love.physics.newRectangleShape(1, 400) 
		lever.f = love.physics.newFixture(lever.b, lever.s)
		lever.f:setUserData("Block")
		lever_pressed = false
	--Lever Sprite End
	
	--Char Start
		local still_sprite  = love.graphics.newImage("/images/chara/still.png")
		still_anim = newAnimation(still_sprite, 147.06, 176.47, 1, 1)
		still_anim:setMode("replay")
		char = {}
			char.image = love.graphics.newImage("/images/chara/still.png")
			char.body = love.physics.newBody(world, 200, 200, "dynamic")
			char.shape = love.physics.newRectangleShape(char.image:getWidth(), char.image:getHeight())
			char.fixture = love.physics.newFixture(char.body, char.shape)
			char.body:setFixedRotation(true)
	--Char Stop
	
	--Running Sprite Start
	local run_sprite  = love.graphics.newImage("/images/chara/run.png")
	run_anim = newAnimation(run_sprite, 147.06, 176.47, 0.01, 24)
	run_anim:setMode("replay")
	--Running Sprite End
	
	--Jumping Sprite Start
	local jump_sprite  = love.graphics.newImage("/images/chara/jump.png")
	jump_anim = newAnimation(jump_sprite, 147.06, 176.47, 1, 1)
	jump_anim:setMode("replay")
	--Jumping Sprite End
	
	--Climbing Sprite Start
	climbing='false'
	local climb_sprite  = love.graphics.newImage("/images/chara/climb.png")
	climb_anim = newAnimation(climb_sprite, 147.06, 176.47, 0.01, 25)
	climb_anim:setMode("replay")
	--Climbing Sprite End
	
	
	--Ground Start
	  ground = {}
		ground_set = love.graphics.newImage('/images/ground.jpg')
		groundW, groundH = ground_set:getWidth(), ground_set:getHeight()
		ground_setW, ground_setH = ground_set:getWidth(), ground_set:getHeight()
		groundQuad = love.graphics.newQuad(0,  0, groundW, groundH, ground_setW, ground_setH)
        ground.b = love.physics.newBody(world, 0, 720, "static") 
        ground.s = love.physics.newRectangleShape(100000, 5) 
        ground.f = love.physics.newFixture(ground.b, ground.s)
        ground.f:setUserData("Block")
	--Ground Stop
	
	--Platform1 Start
	platform = {}
		platform_set = love.graphics.newImage('/images/objects/p1.png')
		platformW, platformH = platform_set:getWidth(), platform_set:getHeight()
		platform_setW, platform_setH = platform_set:getWidth(), platform_set:getHeight()
		platformQuad = love.graphics.newQuad(0,  0, platformW, platformH, platform_setW, platform_setH)
		platform_body = true
	--Platform1 Stop
	
	--Ladder Start
	ladder = {}
		ladder_set = love.graphics.newImage('/images/objects/ladder.png')
		ladderW, ladderH = ladder_set:getWidth(), ladder_set:getHeight()
		ladder_setW, ladder_setH = ladder_set:getWidth(), ladder_set:getHeight()
		ladderQuad = love.graphics.newQuad(0,  0, ladderW, ladderH, ladder_setW, ladder_setH)
	--Ladder Stop
	
	--Door1 Start
	door = {}
		door_set = love.graphics.newImage('/images/objects/door.png')
		doorW, doorH = door_set:getWidth(), door_set:getHeight()
		door_setW, door_setH = door_set:getWidth(), door_set:getHeight()
		doorQuad = love.graphics.newQuad(0,  0, doorW, doorH, door_setW, door_setH)
	--Door1 End
	

	
end